import { UnknownTypeError } from "./Error/Errors.js";
export class ChainTypeFormatter {
    typeFormatters;
    constructor(typeFormatters) {
        this.typeFormatters = typeFormatters;
    }
    addTypeFormatter(typeFormatter) {
        this.typeFormatters.push(typeFormatter);
        return this;
    }
    supportsType(type) {
        return this.typeFormatters.some((typeFormatter) => typeFormatter.supportsType(type));
    }
    getDefinition(type) {
        return this.getTypeFormatter(type).getDefinition(type);
    }
    getChildren(type) {
        return this.getTypeFormatter(type).getChildren(type);
    }
    getTypeFormatter(type) {
        for (const typeFormatter of this.typeFormatters) {
            if (typeFormatter.supportsType(type)) {
                return typeFormatter;
            }
        }
        throw new UnknownTypeError(type);
    }
}
//# sourceMappingURL=ChainTypeFormatter.js.map