import ts from "typescript";
import { TupleType } from "../Type/TupleType.js";
export class ArrayLiteralExpressionNodeParser {
    childNodeParser;
    constructor(childNodeParser) {
        this.childNodeParser = childNodeParser;
    }
    supportsNode(node) {
        return node.kind === ts.SyntaxKind.ArrayLiteralExpression;
    }
    createType(node, context) {
        const elements = node.elements.map((t) => this.childNodeParser.createType(t, context));
        return new TupleType(elements);
    }
}
//# sourceMappingURL=ArrayLiteralExpressionNodeParser.js.map