import ts from "typescript";
import { ArrayType } from "../Type/ArrayType.js";
export class ArrayNodeParser {
    childNodeParser;
    constructor(childNodeParser) {
        this.childNodeParser = childNodeParser;
    }
    supportsNode(node) {
        return node.kind === ts.SyntaxKind.ArrayType;
    }
    createType(node, context) {
        const type = this.childNodeParser.createType(node.elementType, context);
        return new ArrayType(type);
    }
}
//# sourceMappingURL=ArrayNodeParser.js.map