import ts from "typescript";
import { InferType } from "../Type/InferType.js";
export class InferTypeNodeParser {
    typeChecker;
    childNodeParser;
    constructor(typeChecker, childNodeParser) {
        this.typeChecker = typeChecker;
        this.childNodeParser = childNodeParser;
    }
    supportsNode(node) {
        return node.kind === ts.SyntaxKind.InferType;
    }
    createType(node, _context) {
        return new InferType(node.typeParameter.name.escapedText.toString());
    }
}
//# sourceMappingURL=InferTypeNodeParser.js.map