import ts from "typescript";
import { OptionalType } from "../Type/OptionalType.js";
export class OptionalTypeNodeParser {
    childNodeParser;
    constructor(childNodeParser) {
        this.childNodeParser = childNodeParser;
    }
    supportsNode(node) {
        return node.kind === ts.SyntaxKind.OptionalType;
    }
    createType(node, context) {
        const type = this.childNodeParser.createType(node.type, context);
        return new OptionalType(type);
    }
}
//# sourceMappingURL=OptionalTypeNodeParser.js.map