import ts from "typescript";
export class PropertyAccessExpressionParser {
    typeChecker;
    childNodeParser;
    constructor(typeChecker, childNodeParser) {
        this.typeChecker = typeChecker;
        this.childNodeParser = childNodeParser;
    }
    supportsNode(node) {
        return node.kind === ts.SyntaxKind.PropertyAccessExpression;
    }
    createType(node, context) {
        const type = this.typeChecker.getTypeAtLocation(node);
        return this.childNodeParser.createType(type.symbol.declarations[0], context);
    }
}
//# sourceMappingURL=PropertyAccessExpressionParser.js.map