import ts from "typescript";
import { TupleType } from "../Type/TupleType.js";
export class TupleNodeParser {
    typeChecker;
    childNodeParser;
    constructor(typeChecker, childNodeParser) {
        this.typeChecker = typeChecker;
        this.childNodeParser = childNodeParser;
    }
    supportsNode(node) {
        return node.kind === ts.SyntaxKind.TupleType;
    }
    createType(node, context) {
        return new TupleType(node.elements.map((item) => {
            return this.childNodeParser.createType(item, context);
        }));
    }
}
//# sourceMappingURL=TupleNodeParser.js.map