import { DefinitionType } from "./Type/DefinitionType.js";
export class TopRefNodeParser {
    childNodeParser;
    fullName;
    topRef;
    constructor(childNodeParser, fullName, topRef) {
        this.childNodeParser = childNodeParser;
        this.fullName = fullName;
        this.topRef = topRef;
    }
    createType(node, context) {
        const baseType = this.childNodeParser.createType(node, context);
        if (this.topRef && !(baseType instanceof DefinitionType)) {
            return new DefinitionType(this.fullName, baseType);
        }
        else if (!this.topRef && baseType instanceof DefinitionType) {
            return baseType.getType();
        }
        else {
            return baseType;
        }
    }
}
//# sourceMappingURL=TopRefNodeParser.js.map