import { BaseType } from "./BaseType.js";
import { hash } from "../Utils/nodeKey.js";
export class AnnotatedType extends BaseType {
    type;
    annotations;
    nullable;
    constructor(type, annotations, nullable) {
        super();
        this.type = type;
        this.annotations = annotations;
        this.nullable = nullable;
    }
    getId() {
        return this.type.getId() + hash([this.isNullable(), this.annotations]);
    }
    getType() {
        return this.type;
    }
    getAnnotations() {
        return this.annotations;
    }
    isNullable() {
        return this.nullable;
    }
}
//# sourceMappingURL=AnnotatedType.js.map