import { BaseType } from "./BaseType.js";
export class ConstructorType extends BaseType {
    namedArguments;
    comment;
    constructor(node, namedArguments) {
        super();
        this.namedArguments = namedArguments;
        if (node) {
            this.comment = `new (${node.parameters
                .map((p) => p.getFullText())
                .join(",")}) =>${node.type?.getFullText()}`;
        }
    }
    getId() {
        return "constructor";
    }
    getComment() {
        return this.comment;
    }
    getNamedArguments() {
        return this.namedArguments;
    }
}
//# sourceMappingURL=ConstructorType.js.map