import { BaseType } from "./BaseType.js";
import { LiteralType } from "./LiteralType.js";
import { NullType } from "./NullType.js";
export class EnumType extends BaseType {
    id;
    values;
    types;
    constructor(id, values) {
        super();
        this.id = id;
        this.values = values;
        this.types = values.map((value) => (value == null ? new NullType() : new LiteralType(value)));
    }
    getId() {
        return this.id;
    }
    getValues() {
        return this.values;
    }
    getTypes() {
        return this.types;
    }
}
//# sourceMappingURL=EnumType.js.map