import { BaseType } from "./BaseType.js";
export class FunctionType extends BaseType {
    namedArguments;
    comment;
    constructor(node, namedArguments) {
        super();
        this.namedArguments = namedArguments;
        if (node) {
            this.comment = `(${node.parameters.map((p) => p.getFullText()).join(",")}) =>${node.type?.getFullText()}`;
        }
    }
    getId() {
        return "function";
    }
    getComment() {
        return this.comment;
    }
    getNamedArguments() {
        return this.namedArguments;
    }
}
//# sourceMappingURL=FunctionType.js.map