import { JsonTypeError } from "../Error/Errors.js";
import { BaseType } from "./BaseType.js";
export class ReferenceType extends BaseType {
    type = null;
    id = null;
    name = null;
    getId() {
        if (this.id == null) {
            throw new JsonTypeError("Reference type ID not set yet", this);
        }
        return this.id;
    }
    setId(id) {
        this.id = id;
    }
    getName() {
        if (this.name == null) {
            throw new JsonTypeError("Reference type name not set yet", this);
        }
        return this.name;
    }
    setName(name) {
        this.name = name;
    }
    getType() {
        if (this.type == null) {
            throw new JsonTypeError("Reference type not set yet", this);
        }
        return this.type;
    }
    hasType() {
        return this.type != null;
    }
    setType(type) {
        this.type = type;
        this.setId(type.getId());
        this.setName(type.getName());
    }
}
//# sourceMappingURL=ReferenceType.js.map