import { ArrayType } from "../Type/ArrayType.js";
export class ArrayTypeFormatter {
    childTypeFormatter;
    constructor(childTypeFormatter) {
        this.childTypeFormatter = childTypeFormatter;
    }
    supportsType(type) {
        return type instanceof ArrayType;
    }
    getDefinition(type) {
        return {
            type: "array",
            items: this.childTypeFormatter.getDefinition(type.getItem()),
        };
    }
    getChildren(type) {
        return this.childTypeFormatter.getChildren(type.getItem());
    }
}
//# sourceMappingURL=ArrayTypeFormatter.js.map