import { DefinitionType } from "../Type/DefinitionType.js";
import { uniqueArray } from "../Utils/uniqueArray.js";
export class DefinitionTypeFormatter {
    childTypeFormatter;
    encodeRefs;
    constructor(childTypeFormatter, encodeRefs) {
        this.childTypeFormatter = childTypeFormatter;
        this.encodeRefs = encodeRefs;
    }
    supportsType(type) {
        return type instanceof DefinitionType;
    }
    getDefinition(type) {
        const ref = type.getName();
        return { $ref: `#/definitions/${this.encodeRefs ? encodeURIComponent(ref) : ref}` };
    }
    getChildren(type) {
        return uniqueArray([type, ...this.childTypeFormatter.getChildren(type.getType())]);
    }
}
//# sourceMappingURL=DefinitionTypeFormatter.js.map