import { EnumType } from "../Type/EnumType.js";
import { typeName } from "../Utils/typeName.js";
import { uniqueArray } from "../Utils/uniqueArray.js";
export class EnumTypeFormatter {
    supportsType(type) {
        return type instanceof EnumType;
    }
    getDefinition(type) {
        const values = uniqueArray(type.getValues());
        const types = uniqueArray(values.map(typeName));
        return values.length === 1
            ? { type: types[0], const: values[0] }
            : { type: types.length === 1 ? types[0] : types, enum: values };
    }
    getChildren(type) {
        return [];
    }
}
//# sourceMappingURL=EnumTypeFormatter.js.map