import { RestType } from "../Type/RestType.js";
export class RestTypeFormatter {
    childTypeFormatter;
    constructor(childTypeFormatter) {
        this.childTypeFormatter = childTypeFormatter;
    }
    supportsType(type) {
        return type instanceof RestType;
    }
    getDefinition(type) {
        const definition = this.childTypeFormatter.getDefinition(type.getType());
        const title = type.getTitle();
        if (title !== null && typeof definition.items === "object") {
            return { ...definition, items: { ...definition.items, title } };
        }
        return definition;
    }
    getChildren(type) {
        return this.childTypeFormatter.getChildren(type.getType());
    }
}
//# sourceMappingURL=RestTypeFormatter.js.map