import { Definition } from "../Schema/Definition.js";
import { SubTypeFormatter } from "../SubTypeFormatter.js";
import { BaseType } from "../Type/BaseType.js";
import { UnionType } from "../Type/UnionType.js";
import { TypeFormatter } from "../TypeFormatter.js";
type DiscriminatorType = "json-schema" | "open-api";
export declare class UnionTypeFormatter implements SubTypeFormatter {
    protected childTypeFormatter: TypeFormatter;
    private discriminatorType?;
    constructor(childTypeFormatter: TypeFormatter, discriminatorType?: DiscriminatorType | undefined);
    supportsType(type: BaseType): boolean;
    private getTypeDefinitions;
    private getJsonSchemaDiscriminatorDefinition;
    private getOpenApiDiscriminatorDefinition;
    getDefinition(type: UnionType): Definition;
    getChildren(type: UnionType): BaseType[];
}
export {};
