import ts from "typescript";
export function hasModifier(node, modifier) {
    const nodeModifiers = node.modifiers;
    if (nodeModifiers == null) {
        return false;
    }
    else {
        return nodeModifiers.some((nodeModifier) => nodeModifier.kind === modifier);
    }
}
export function isPublic(node) {
    return !(hasModifier(node, ts.SyntaxKind.PrivateKeyword) || hasModifier(node, ts.SyntaxKind.ProtectedKeyword));
}
export function isStatic(node) {
    return hasModifier(node, ts.SyntaxKind.StaticKeyword);
}
//# sourceMappingURL=modifiers.js.map